package ch.epfl.tpp;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import javax.swing.JComponent;
import javax.swing.JFrame;

public class BarChartMakerGUI {
    private static Image createChartImage() {
        return null; // ?? faire
    }
    
    public static void main(String[] args) {
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            @SuppressWarnings("serial")
            public void run() {
                JFrame frame = new JFrame("Image viewer");
                frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                frame.add(new JComponent() {
                    @Override
                    public Dimension getPreferredSize() {
                        return new Dimension(800, 600);
                    }
                    
                    @Override
                    protected void paintComponent(Graphics g) {
                        Image image = createChartImage();
                        BufferedImage awtImage = new BufferedImage(getWidth(), getHeight(), BufferedImage.TYPE_INT_RGB);
                        double xRatio = image.width() / getWidth();
                        double yRatio = image.height() / getHeight();
                        
                        for (int x = 0; x < getWidth(); ++x) {
                            double imageX = x * xRatio;
                            for (int y = 0; y < getHeight(); ++y) {
                                double imageY = (getHeight() - y - 1) * yRatio;
                                float brightness = image.colorAtPoint(new Point(imageX, imageY)).brightness();
                                awtImage.setRGB(x, y, new java.awt.Color(brightness, brightness, brightness).getRGB());
                            }
                        }
                        g.drawImage(awtImage, 0, 0, null);
                    }
                });
                frame.pack();
                frame.setVisible(true);
            }
        }); 
    }
}